Article ID: 6365, created on May 22, 2009, last review on Nov 22, 2014

  • Applies to:
  • Plesk Sitebuilder for Linux/Unix
  • Plesk Sitebuilder for Windows

Important notes

These instructions do not apply to cluster installations of Parallels Plesk SiteBuilder. To upgrade Parallels Plesk SiteBuilder in a cluster, contact your Account Manager or the Parallels Support Team.


Before you start upgrading, make sure that the old Parallels Plesk SiteBuilder functions normally, and that sites are opened in Wizard and published. If there are problems, you are strongly discouraged from upgrading; fix the problems first.

Follow the instructions below
carefully to upgrade your application to the latest version.

Parallels Plesk SiteBuilder for Windows

1. If your Parallels Plesk SiteBuilder for Windows version number is lower than 2.0.5, contact the Parallels Support Team for assistance with the upgrade.

2. Upgrade Parallels Plesk SiteBuilder 2.0.5 for Windows to version 4.5, following the instructions from Upgrading from Version 3.x to 4.x.

NOTE: As of the release of version 4.5, Parallels Plesk SiteBuilder no longer supports Microsoft Windows 2000 Advanced Server. Therefore, if you have SiteBuilder 4.0/4.1 installed under MS Windows 2000 Advanced Server OS and wish to upgrade to version 4.5, you will first need to migrate your SiteBuilder 4.0/4.1 to another server running Microsoft Windows Server 2003 or Microsoft Windows 2008 Server OS. Refer to Upgrading from Version 4.0 or 4.1 to 4.5: OS Compatibility for details.

Execute installer script sitebuilder-4.5.0_build080902.182_winx86.exe or sitebuilder-4.5.0_build080902.182_winx64.exe on the server with Parallels Plesk Sitebuilder installed and find the SBinst.msi file. The file is extracted to the "C:\Program Files\Parallels..." directory. Start the upgrade with debug log:

> msiexec /i SBinst.msi SKIPCONFIGUREIIS=1 FORCELICENSEUPGRADE=1 /lx*v install45.log

Upgrading log will be written into file install45.log. When upgrading is completed, follow the instructions from this KB to install the latest updates on your Parallels Plesk SiteBuilder 4.5.

Parallels Plesk SiteBuilder for Linux/Unix

1. If your Parallels Plesk SiteBuilder for Linux/Unix version number is lower than 2.1.3, contact the Parallels Support Team for assistance with the upgrade.

2. Before starting the upgrade of Parallels Plesk SiteBuilder 2.1.3, back up the sitebuilder database and the SiteBuilder home directory (/usr/local/sitebuilder), just in case.

3. Upgrade Parallels Plesk SiteBuilder 2.1.3 packages to version 4.5 with the SiteBuilder Autoinstaller script, following the instructions from Upgrading Parallels Plesk SiteBuilder for Linux/Unix from 3.x.x and 4.x.x.

NOTE: If Parallels Plesk SiteBuilder 2.1.3 runs on an operating system (OS) that is not supported by Parallels Plesk SiteBuilder 4.5, then an intermediate upgrade to Parallels Plesk SiteBuilder 3.0.2 is needed. Currently, the distributive of Parallels Plesk SiteBuilder 3.0.2 is not available on the Parallels website. Please contact the Parallels Support Team for assistance with the migration.

4. Upgrade Parallels Plesk SiteBuilder and all components to version 4.5 as described in step #3. Use the SiteBuilder Autoinstaller script to verify that the application is up-to-date. For example:

~# ./parallels_installer_v3.3.2_build080710.09_os_Debian_3.1_i386 --select-release-id SB_4_5_0 --show-components
Reading Package Lists...
Detecting installed product components.
  sitebuilder       [up2date] - SiteBuilder packages
  modules           [up2date] - SiteBuilder modules
  locales           [up2date] - SiteBuilder localization files
  templates         [up2date] - SiteBuilder design templates

If some components are not up2date, use the following command to upgrade them:
~# ./parallels_installer_v3.3.2_build080710.09_os_Debian_3.1_i386 --select-release-id SB_4_5_0 --install-component sitebuilder --install-component modules --install-component locales --install-component templates

5. After the application has been upgraded, you may start migrating sites to version 4.5.

The procedure of migrating sites from version 2.1.3 to 4.5 is performed in two phases. The first phase runs while packages are upgrading.

Before starting the second migration phase, it is recommended to install the sitebuilder45_migration_patch Hotfix. To install the Hotfix, move the file to the root directory of Parallels Plesk SiteBuilder 4.5 (/usr/local/sitebuilder for a RedHat-like OS, /opt/sitebuilder for a Debian-like OS) and unpack it. For example:

~# cat /usr/local/sitebuilder/.version
~# mv /usr/local/sitebuilder/
~# cd /usr/local/sitebuilder/
~# unzip

Look at the SiteBuilder migration log file. The file is located in the /usr/local/sitebuilder/tmp directory and will be named something similar to sb_config-0905221243.log.

If the first migration phase finished successfully and no errors are shown in the log file, run the following command to start the second migration phase:

~# sb_config --migrate_all

If the migration log does not have any errors, you may skip the rest of step #5:

Congratulations! the migration has been completed.

If there are some errors in the migration log, it is necessary to repeat the first and second migration phases. Run the following commands:

~# echo 2.1.3 > /usr/local/sitebuilder/migrate
~# sb_config --migrate_all

(where 2.1.3 is the old version of Parallels Plesk SiteBuilder).

In case of failure, contact the Parallels Support Team for assistance and provide the details of your issue. Describe the exact steps you took and all notifications or errors you received in your request.

Follow instructions from this KB to install the latest update to your Parallels Plesk SiteBuilder 4.5.

Additional Information

NOTE: The instructions above are for upgrading Parallels Plesk SiteBuilder within one server. If you want to migrate to another server, it is recommended to upgrade Parallels Plesk SiteBuilder to version 4.5 on the same server and then migrate. Refer to this article for details about migrating Parallels Plesk SiteBuilder 4.5 between servers: How to migrate sites and users to another SiteBuilder server.

IMPORTANT: It is important to run the Design Templates Updater Tool after Parallels Plesk SiteBuilder and design templates' packages have been updated to the latest version. This utility will update the design templates on all sites and replace non-compliant stock images that were used in previous versions of SiteBuilder. Additionally, on published websites, non-compliant stock images will be replaced with blank images of the same size. These placeholder images will be replaced with images from the updated design templates after the sites are published. Download the tool and run it according to the release notes (Windows, Linux).


fad6dc0c8e983c17ae70a51ac7952cd0 d055be4fdc562a8ecb8e6d0bf419f946 2a62cbceb986d1b8f45bcd3ff4cb29a5 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF